#include "mappin.h"

class CTestmappinView : public CScrollView
{
public:
//Constructors / Destructors
	CTestmappinView();
	virtual ~CTestmappinView();

//General methods
	CTestmappinDoc* GetDocument();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	//{{AFX_VIRTUAL(CTestmappinView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	//}}AFX_VIRTUAL

protected:
	DECLARE_DYNCREATE(CTestmappinView)

	//{{AFX_MSG(CTestmappinView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

  CMapPin m_Pin1;
  CMapPin m_Pin2;
  CMapPin m_Pin3;
  CMapPin m_Pin4;
  CMapPin m_Pin5;
  CMapPin m_Pin6;

	CBitmap m_Bitmap;
	BITMAPINFO m_bmInfo;
  int m_nImageWidth;    
	int m_nImageHeight;
};

#ifndef _DEBUG  // debug version in testmappinView.cpp
inline CTestmappinDoc* CTestmappinView::GetDocument()
   { return (CTestmappinDoc*)m_pDocument; }
#endif

